Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.text
Class DefaultRowFactory

    java.lang.Object
      org.modeshape.sequencer.text.DefaultRowFactory

All Implemented Interfaces:
  RowFactory

    @NotThreadSafe
    public class DefaultRowFactory

extends Object
implements RowFactory

A default implementation of the `RowFactory` class. This class records rows in the following subgraph:

     <graph root>
         + text:row[1] (jcr:primaryType = nt:unstructured)
         |   + text:column[1] (jcr:primaryType = nt:unstructured, jcr:mixinTypes = text:column, text:data = )
         |   + ...
         |   + text:column[n] (jcr:primaryType = nt:unstructured, jcr:mixinTypes = text:column, text:data = )
         + ...
         + text:row[m] (jcr:primaryType = nt:unstructured)
             + text:column[1] (jcr:primaryType = nt:unstructured, jcr:mixinTypes = text:column, text:data = )
             + ...
             + text:column[n] (jcr:primaryType = nt:unstructured, jcr:mixinTypes = text:column, text:data = )

Constructor Summary
`DefaultRowFactory()`

Method Summary
`void` | `recordRow(StreamSequencerContext context, SequencerOutput output, String[] columns)` Records a row using the provided `SequencerOutput` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRowFactory

    public DefaultRowFactory()

Method Detail

### recordRow

    public void recordRow(StreamSequencerContext context,
                          SequencerOutput output,
                          String[] columns)

  Description copied from interface: `RowFactory`
  Records a row using the provided `SequencerOutput` instance.

  Specified by:
    `recordRow` in interface `RowFactory`
  Parameters:
    `context` - the sequencer context
    `output` - the `StreamSequencer` output
    `columns` - the columns that could be parsed out for the row

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.